Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>
Summary:   	ntfsprogs - userspace tools for the NTFS File System
Name:      	ntfsprogs
Version:   	2.0.0
Release:   	1
Provides:	ntfsprogs
License: 	GNU/GPL
URL:		http://linux-ntfs.sourceforge.net/
Group:     	System/Configuration/Hardware
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  gnome-vfs-devel 
BuildRequires:  fuse-userspace-devel
BuildRequires:  glibc-devel

%description
progs is a suite of NTFS utilities based around a shared library.
mkntfs: Create an NTFS volume on a partition 
ntfscat: Print a file on the standard output 
ntfsclone: Efficiently backup/restore a volume at the sector level 
ntfscluster: Given a cluster, or sector, find the file 
ntfsfix: Forces Windows to check NTFS at boot time 
ntfsinfo: Dump a file's attributes, completely 
ntfslabel: Display or set a volume's label 
ntfslib: Move all the common code into a shared library 
ntfsls: List directory contents 
ntfsresize: Resize an NTFS volume 
ntfsundelete: Find files that have been deleted and recover them 
ntfswipe: Write zeros over the unused parts of the disk 
ntfsdefrag: Defragment files, directories and the MFT 
ntfsck: Perform consistancy checks on a volume 
nttools: Command-line tools to view/change an offline NTFS volume, e.g. ntfscp, ntfsgrep, ntfstouch, ntfsrm, ntfsrmdir, ntfsmkdir 
ntfsdiskedit: Walk the tree of NTFS ondisk structures (and alter them) 
 Be careful with these utilities, they might damage the filesystem, or your hard disk !

%package devel
Summary:        Development files for ntfsprogs
Group:          System/Configuration/Hardware
Requires:       ntfsprogs = %{version}-%{release}

%description devel
Header files for developing applications using ntfsprogs

%package fuse
Summary:        NTFS FUSE module
Group:          System/Configuration/Hardware
Requires:       ntfsprogs = %{version}-%{release}

%description fuse
This package contains the FUSE module of ntfsprogs

%package gnomevfs
Summary:        NTFS GNOMEVFS module
Group:          System/Configuration/Hardware
Requires:       ntfsprogs = %{version}-%{release}

%description gnomevfs
This package contains the GNOMEVFS module of ntfsprogs


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}


%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} \
    --sysconfdir=%{_sysconfdir}/gnome --localstatedir=%{_localstatedir} \
    --enable-gnome-vfs --enable-fuse-module

make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/ntfscat
%{_bindir}/ntfscluster
%{_bindir}/ntfsfix
%{_bindir}/ntfsinfo
%{_bindir}/ntfsls
%{_bindir}/ntfscmp
%{_sbindir}/mkntfs
%{_sbindir}/ntfsclone
%{_sbindir}/ntfscp
%{_sbindir}/ntfslabel
%{_sbindir}/ntfsresize
%{_sbindir}/ntfsundelete
 /sbin/mkfs.ntfs
%{_mandir}/man8/mkfs.ntfs.8.gz
%{_mandir}/man8/ntfs*
%{_mandir}/man8/mkntfs*
%{_mandir}/man8/libntfs.8.gz
%{_libdir}/lib*

%files devel
%defattr(-,root,root)
%{_includedir}/*

%files fuse
%defattr(-,root,root)
%_bindir/ntfsmount
/sbin/mount.ntfs-fuse
/sbin/mount.fuse.ntfs
%_mandir/man8/mount.ntfs-fuse.8.gz
%_mandir/man8/mount.fuse.ntfs.8.gz
%_mandir/man8/ntfsmount.8.gz

%files gnomevfs
%defattr(-,root,root)
%_sysconfdir/gnome
%_libdir/gnome-vfs-2.0
%_mandir/man8/libntfs-gnomevfs.8.gz


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0-1
- Version update
* Thu Jun 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.13.1-1
- Version update
* Tue Feb 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.13.0-1
- Version Update, added -fuse and -gnomevfs package
* Thu Aug 18 2005 Christian Metzen <metzench@ccux-linux.de> 1.11.1-2
- Removed fuse Module
* Thu Aug 04 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.11.1-1
- Version Update, rebuilt spec
* Sun Dec 26 2004 Christian Metzen <metzench@ccux-linux.de> 1.9.1-1
- Initial Release
